package com.cmvr.test.flow.runtime.operator.edge;

import com.cmvr.test.enums.ActionEnum;
import com.cmvr.test.flow.runtime.message.TaskNodeExecuteMessage;
import com.cmvr.test.flow.runtime.message.TaskNodeExecuteResult;

public interface EdgeOperateService {

    boolean supports(ActionEnum action);

    TaskNodeExecuteResult execute(TaskNodeExecuteMessage message);
}
